Finalize commerce session checkout (orchestrates PosOrderService)
POST
/v2/commerce/checkouts/finalize
const url = 'https://api-crm-staging.divinea.com/api/v2/commerce/checkouts/finalize';const options = { method: 'POST', headers: {APIKey: '<APIKey>', 'Content-Type': 'application/json'}, body: '{"contactId":1,"fiskalyEnabled":true,"operatorId":"example","operatorName":"example","paymentIntentId":"example","paymentMethod":"example","preConto":true,"sessionId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","wineryChannelId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api-crm-staging.divinea.com/api/v2/commerce/checkouts/finalize \ --header 'APIKey: <APIKey>' \ --header 'Content-Type: application/json' \ --data '{ "contactId": 1, "fiskalyEnabled": true, "operatorId": "example", "operatorName": "example", "paymentIntentId": "example", "paymentMethod": "example", "preConto": true, "sessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "wineryChannelId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Authorizations
Sezione intitolata “Authorizations”Request Body
Sezione intitolata “Request Body”Body
Media typeapplication/json
FinalizeCheckoutRequest
object
contactId
integer format: int64
fiskalyEnabled
boolean
operatorId
string
operatorName
string
paymentIntentId
string
paymentMethod
string
preConto
boolean
sessionId
string format: uuid
wineryChannelId
string format: uuid
Examplegenerated
{ "contactId": 1, "fiskalyEnabled": true, "operatorId": "example", "operatorName": "example", "paymentIntentId": "example", "paymentMethod": "example", "preConto": true, "sessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "wineryChannelId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Sezione intitolata “Responses”Created
Media type*/*
CommerceCheckoutDTO
object
completedAt
string format: date-time
createdAt
string format: date-time
fiskalyEnabled
boolean
id
string format: uuid
metadata
object
orderComponentCents
integer format: int64
outcomes
Array<object>
Map«string,object»object
key
additional properties
object
paymentMethod
string
preConto
boolean
reservationComponentCents
integer format: int64
sessionId
string format: uuid
splitGroupId
string format: uuid
status
string
totalCents
integer format: int64